<?php
/*
 * Plugin Name: WooBought Pro
 * Plugin URI: https://www.studiowombat.com/plugin/woobought/
 * Description: Display notifications of recently bought products to your visitors. It feels like everyone is buying! Giving your store social proof, credibility, visibility and it creates urgency.
 * Version: 2.0
 * Author: 20script
 * Author URI: https://www.20script.ir
 * Text Domain: mabel-woobought-rpn
 * WC requires at least: 3.0.0
 * WC tested up to: 8.0.1
*/

if(!defined('ABSPATH')){die;}

function run_mabel_rpn(){
	if (!defined('MABEL_WOOBOUGHT_VERSION'))
		define('MABEL_WOOBOUGHT_VERSION', '2.0');
	
	if (!defined('MABEL_WOOBOUGHT_NAME'))
		define('MABEL_WOOBOUGHT_NAME', 'WooBought Pro');
	
	if (!defined('MABEL_WOOBOUGHT_DIR'))
		define('MABEL_WOOBOUGHT_DIR', plugin_dir_path( __FILE__ ));

	if(!defined('MABEL_WOOBOUGHT_BASENAME'))
		define('MABEL_WOOBOUGHT_BASENAME',plugin_basename( __FILE__ ));

	if (!defined('MABEL_WOOBOUGHT_SLUG'))
		define('MABEL_WOOBOUGHT_SLUG', trim(dirname(plugin_basename(__FILE__)), '/'));
	
	if (!defined('MABEL_WOOBOUGHT_URL'))
		define('MABEL_WOOBOUGHT_URL', plugin_dir_url(__FILE__));
	
	require MABEL_WOOBOUGHT_DIR . 'includes/class-mabel-woobought.php';

	$plugin = new Mabel_WC_RecentlyPurchased();
}

run_mabel_rpn();


// Declare HPOS compatibility.
add_action( 'before_woocommerce_init', function() {
    if ( class_exists( \Automattic\WooCommerce\Utilities\FeaturesUtil::class ) ) {
        \Automattic\WooCommerce\Utilities\FeaturesUtil::declare_compatibility( 'custom_order_tables', __FILE__, true );
    }
} );